<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8"/>
    <title>Orders</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
            crossorigin="anonymous"></script>
</head>
<body>
<div class="container">
    <div th:if="${not #lists.isEmpty(orders)}">
        <div class="container">
            <button type="button" class="btn btn-primary" th:onclick="|window.location.href='/cars/'|">Cars</button>
        </div>
        <h2 style="position: relative; left: 45%">Orders</h2>
        <table class="table table-striped">
            <tr>
                <th>Id</th>
                <th>Date</th>
                <th>Car</th>
                <th>Client</th>
                <th>Manager</th>
                <th></th>
            </tr>
            <tr th:each="order : ${orders}">
                <td th:text="${order.id}"></td>
                <td th:text="${order.date}"></td>
                <td th:text="${order.car.manufacturer} + ' ' + ${order.car.model}"></td>
                <td th:text="${order.client.name} + ' ' + ${order.client.surname}"></td>
                <td th:text="${order.manager.login}"></td>
                <td>
                    <form th:method="post" th:action="@{/orders/delete/{id}(id=${order.id})}">
                        <button type="submit" class="btn btn-danger">
                            Remove
                        </button>
                    </form>
                </td>
            </tr>
        </table>
    </div>

</div>

</body>

</html>